org.cpsolver.ifs.example.tt

## Class Test

- java.lang.Object
- - org.cpsolver.ifs.example.tt.Test

-     public class Test
      extends Object

  Test
  Version:
    IFS 1.3 (Iterative Forward Search)
    Copyright (C) 2006 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Test()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`
    `static void` | `test(File inputCfg, String name, String include, String regexp, String outDir)`
    `static void` | `test2(DataProperties properties)`
    `static void` | `test3(DataProperties properties, File xmlFile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Test

          public Test()

  - ### Method Detail

    - #### test2

          public static void test2(DataProperties properties)
                            throws Exception

      Throws:
        `Exception`

    - #### test3

          public static void test3(DataProperties properties,
                                   File xmlFile)
                            throws Exception

      Throws:
        `Exception`

    - #### test

          public static void test(File inputCfg,
                                  String name,
                                  String include,
                                  String regexp,
                                  String outDir)
                           throws Exception

      Throws:
        `Exception`

    - #### main

          public static void main(String[] args)